// 获取摄像头模块查询项的数据字典
import request from '@/utils/request'
/**
 * 获取下拉框的选项数据
 * @param {string} type
 * 摄像头类型 - CameraType
 * 码流协议 - StreamProtocol
 * 分层部门 - Department
 * @returns
 */
export function getOptions(type, data) {
  return request({
    url: `camera/options/get${type}Options`,
    method: 'post',
    data
  })
}

export function uploadFile(type) {
  return request({
    url: 'file/uploadFile',
    method: 'post'
  })
}
